Tout ce qui concerne la notion de paquet et comment installer.

Installation d'applications ?

#21Messageil y a 1 an

MAIS comment tu installes ton paquet aur ?

perso, j'utilise yay (mais on installe un paquet aur avec tout helpeur : yay, pamac, pikaur ... ou avec les commandes git+makepkg)

yay -S darktable-git  
ce que j'ai copié c'est quelques lignes de sortie de la commande d’installation ou l'on peut voir qu'il m'installe bien la dernière version git !

Tu dis l'avoir installé aujourd'hui (?) donc tu as les mêmes retours et la même version (ou plus si commit depuis)
C'est quoi ? pkgver()... ?
Je n'ai pas compris ce que tu lance ? je viens de lancer aur -git marqué en version 2.5 (suis pas allé au bout) ?
On te le dit depuis le début !!!!
un paquet git n'a pas de version ! il est marqué 2.5 mais cela ne veut rien dire puisqu'il va utiliser les derniers commits dans git (ce 2.5 indique uniquement que la recette n'a pas été modifiée depuis la version 2.5).
pkgver() est justement une fonction dans la recette qui va calculer la version réelle de l'application

Installation d'applications ?

#22Messageil y a 1 an

Suite...

Donc la version en haut dans AUR est la bonne ?
Enfin si c'est ça je me suis vraiment pris la tête. :tetu!

Image

Installation d'applications ?

#23Messageil y a 1 an

ce que tu nous montre ici est le paquet non installé (v2.5), si tu l'installes alors dans pamac tu dois avoir cette fois ce que j'ai retourné plus haut

darktable-git release.3.1.0.r1282.g615016be4-1
version: release.3.1.0.r1282.g615016be4-1 (nombre de commits et l'id du dernier)
je me suis vraiment pris la tête
c'est ce que l'on te dit depuis le début, INSTALLE la version git :wink:

ps: puisque la recette n'a pas été modifiée depuis la version v2.5, il est possible qu'il manque un truc ... mais pour le savoir il faut déjà l'installer :wink:

Installation d'applications ?

#24Messageil y a 1 an

C'est bon...

Image

Lorsqu'on est buté ça ne rentre pas. :bien:bien:bien

C'est le fait que c'était indiqué 2.5 qui me posait problème, c'est vrai qu'indiquer une version pour un git n'a pas de sens.

Un grand merci, j'ai vu sur l'autre page les mêmes choses que sur Ubuntu, mais sans rien faire. :clap

En fait c'est trop simple... :merci:

Et ensuite pour faire les mises à jour, elles sont proposées automatiquement ?

Installation d'applications ?

#25Messageil y a 1 an

Pour les mises à jour, rien n'est proposé par défaut :

Pour calculer la nouvelle version, le "helpeur" aur est obligé de télécharger en local tout le dépôt git pour justement exécuter cette fonction pkgver() - Ce qui est très très long surtout si on a 12 -git !

Donc le plus simple, est simplement de le réinstaller de temps en temps ... si il n'y a pas eu de nouveaux commits, alors le helpeur nous prévient que nous avons déjà la même version (et nous pouvons donc annuler)

Pamac propose une option dans l'onglet AUR pour vérifier "les paquets en cours de développement" (donc les -git). A toi de voir ... mais avec ton application il me semble que tu as des commits chaque jours donc pas d'intéret d'avoir 2..3 notifications par jours puisque tu t'en doutes déjà et que tu ne vas sans doute pas avoir le temps de faire une maj à chaque fois
Avec pikaur c'est l'option --devel à ajouter
... A voir avec chaque helpeur

Installation d'applications ?

#26Messageil y a 1 an

Depuis l'installation suite au redémarrage j'au un écran qui demande la mot de passe du porte-feuille ?

C'est quelle mot de passe, je n'ai rien configuré d'autre ?

De plus je n'ai plus aucune connexion internet, je réponds d'une autre partition.

Image

Installation d'applications ?

#27Messageil y a 1 an

C'est un autre sujet :wink:

Tu n'avais pas rebooté depuis la dernière maj ? ici kwallet te demande le mot de passe pour pouvoir établir la connexion wifi (vu ce problème pas mal à l'inter depuis 1 mois)
si pass user est pas bon, Il est possible que ton mot de passe pour ouvrir ton coffre fort soit "une chaine vide" - chacun a sa propre config...

Installation d'applications ?

#28Messageil y a 1 an

C'est un bug !

C'est bon c'est reparti... :bien:bien:bien

Installation d'applications ?

#29Messageil y a 1 an

papajoke a écrit : il y a 1 an Pour les mises à jour, rien n'est proposé par défaut :
Moi je n'ai qu'un seul git !
Il y aurait une solution pour faire les mises à jour quand même, sous Ubuntu je les faits tous les jours, ça prends une minute.
Un paquet à installer par exemple pour qu'elle soient proposées !

Installation d'applications ?

#30Messageil y a 1 an

comme dit plus haut, aucun helpeur aur ne le fait par défaut !
Mais chaque helpeur peut avoir une option, puisque tu utilises pamac je te l'ai donnée

Mais le repo de ton application est lourd donc je ne pense pas qu'il y ai un intérêt à le télécharger à chaque fois si tu sais déjà que tu as chaque jour au moins un nouveau commit
ps: avec *-git, on a une mise à jour pour chaque commit :wink: ton application est très active il me semble donc recevoir 10 notifications par jour ne va pas déclencher 20 mises à jour chez toi
C'est vraiment utile si on a une application "peu active" avec une maj par quinzaine/mois/an

Installation d'applications ?

#31Messageil y a 1 an

Non pas plusieurs fois par jour, une fois grand maximum.
Darktable c'est pour traiter les fichiers RAW, j'utilisais Lightroom 6 avant son passage en version par abonnement, merci Adobe.
Obligé de réapprendre un nouveau logiciel et je suis très loin d'être encore au top !

Installation d'applications ?

#32Messageil y a 1 an

J'ai lancé l'installation de Gimp-git
Ça ne fonctionne pas, il y a une dépendance non satisfaite ?
Je ne sais pas où est la solution.

# Maintainer : bartus <arch-user-repoᘓbartus.33mail.com>
# shellcheck disable=SC2034
# Contributor: Filipe Laíns (FFY00) <filipe.lains@gmail.com>
# Contributor: Iru Cai <mytbk920423@gmail.com>
# Contributor: Alexander Hunziker <alex.hunziker@gmail.com>
# Contributor: Alessio Biancalana <dottorblaster@gmail.com>

pkgname=gimp-git
_pkgname=${pkgname%-git}
provides=(gimp)
conflicts=(gimp)
epoch=2
pkgver=2.99.1.r4396.2eaaa950a5
pkgrel=1
pkgdesc="GNU Image Manipulation Program"
arch=('i686' 'x86_64')
url="https://www.gimp.org"
license=('GPL' 'LGPL')
depends=(
	'lcms2>=2.8'
	'libwmf>=0.2.8'
	'icu'
	'enchant'
	'libgexiv2>=0.10.6'
	'librsvg>=2.40.6'
	'desktop-file-utils'
	'libexif>=0.6.15'
	'libart-lgpl>=2.3.19'
	'dbus-glib'
	'gtk-doc>=1.0'
	'poppler-glib>=0.69.0'
	'poppler-data>=0.4.9'
	'openexr>=1.6.1'
	'mypaint-brushes1>=1.3.0'
	'babl>=0.1.74'
	'gegl>=0.4.23'
	'cairo>=1.14.0'
	'appstream-glib>=0.7.7'
        'gobject-introspection>=1.32.0'
	)
makedepends=('git' 'intltool>=0.40.1'
             'alsa-lib>=1.0.0' 'libxslt' 'glib-networking'
             'alsa-lib' 'curl' 'ghostscript' 'libxpm' 'webkit2gtk'
             'libheif' 'libwebp' 'libmng' 'iso-codes' 'aalib' 'zlib'
             'gjs' 'python-gobject' 'luajit' 'meson' 'xorg-server-xvfb'
             )
checkdepends=('xorg-server-xvfb')
optdepends=('gutenprint: for sophisticated printing only as gimp has built-in cups print support'
            'alsa-lib: for MIDI event controller module'
            'curl: for URI support'
            'ghostscript: for postscript support'
            'libxpm: XPM support'
            'webkit2gtk: HTML renderer and web content engine'
            'libheif: HEIF support'
            'libwebp: WebP support'
            'libmng: MNG support'
            'iso-codes: Language support'
            'aalib: ASCII art support'
            'zlib: Compression routines'
            'gjs: JavaScript scripting support'
            'luajit: LUA scripting support'
            )
source=('git+https://gitlab.gnome.org/GNOME/gimp.git'
        'linux.gpl')
sha512sums=('SKIP'
            '6f33d57f242fa8ce04b65e06a712bd54677306a45b22cb853fbe348089cd4673bd4ed91073074fe067166fe8951c370f8bbbc386783e3ed5170d52e9062666fe')

pkgver() {
  cd ${srcdir}/${_pkgname}
  printf %s.%s.%s.r%s.%s $(grep -oP 'gimp_(major|minor|micro)_version\], \[\K[0-9]{1,2}' configure.ac) $(git rev-list $(git describe --abbrev=0)..HEAD --count) $(git log --pretty=format:'%h' -n 1)
}

prepare() {
  export CFLAGS CXXFLAGS LDFLAGS
  mkdir "${srcdir}/build" -p
  meson "${srcdir}/${_pkgname}"\
        "${srcdir}/build"\
        --prefix=/usr
}

build() {
  export NINJA_STATUS="[%p | %f<%r<%u | %cbps ] "
  ninja -C "${srcdir}/build"
}

check() {
  ninja -C "${srcdir}/build" test
}

package() {
  DESTDIR="${pkgdir}" ninja -C "${srcdir}/build" install
  install -Dm 644 "${srcdir}/linux.gpl" "${pkgdir}/usr/share/gimp/2.99/palettes/Linux.gpl"
}
Image

Bonne soirée et encore merci. :clap

Installation d'applications ?

#33Messageil y a 1 an

pour gimp :

cette dépendance vient juste d'être modifiée

Il faut croire que le mainteneur fait une recette pour archlinux testing uniquement car pour l'instant avec arch stable nous n'avons que la version 0.4.22-1 (comme manjaro)
Ok, il faut utiliser aussi la version git de gegl:snif

---
AUR se calque sur archlinux donc il arrive que parfois certains paquets aur ne sont pas compatibles avec manjaro (nous avons généralement une semaine de décalage)
ps: pamac propose d'éditer la recette ... donc il est possible de changer la version (reste à voir si l'application fonctionne bien ensuite...)

Installation d'applications ?

#34Messageil y a 1 an

Comme dit plus haut, on se fout du du N° de version du PKGBUILD puisqu'il pointe le dépôt git du développeur de Darktable.
Et comme démontré dans mon message , j'ai bien la version 3.1.0 en installant depuis Aur.

Installation d'applications ?

#35Messageil y a 1 an

lemust83 a écrit : il y a 1 an Comme dit plus haut, on se fout du du N° de version du PKGBUILD puisqu'il pointe le dépôt git du développeur de Darktable.
Et comme démontré dans mon message , j'ai bien la version 3.1.0 en installant depuis Aur.
Bonjour,

C'est ça que je n'avais pas bien compris, mais c'est logique pour un git. :tetu!:tetu!:tetu!
Ce matin il m'a été proposé la version git-1289, mise à jour en environ 4 minutes.

J'ai réglé trois choses pour AUR, c'est:
- Garder les paquets construits dans le cache.
- Vérifier les mises à jour.
- Vérifier les mises à jour des paquets en cours de développement.

La dernière option concerne-t-elle uniquement les git ?
Si je décoche la dernière option aucune mise à jour ne me sera proposée pour Darktable ?

Où ce trouve la gestion des disques dans KDE, mon disque de données de 2 To n'est pas monté automatiquement ?
Ce disque est donc inaccessible pour Darktable, je suis obliger de le monter manuellement.

Cordialement.

Installation d'applications ?

#36Messageil y a 1 an

Pour la dernière option :
c'est pour les *-git (donc ton darktable)
Il n'est pas marqué "GIT" car il existe aussi d'autres systèmes utilisés par les développeurs comme svn (mais git doit représenter plus de 90%)

---
Ton disque c'est un autre sujet que tu peux ouvrir si besoin :wink:
On monte un disque au démarrage comme avec toute autre distribution linux dans fstab

Installation d'applications ?

#37Messageil y a 1 an

papajoke a écrit : il y a 1 an On monte un disque au démarrage comme avec toute autre distribution linux dans fstab
Sauf qu'avec Ubuntu il y a un outil graphique pour le faire.

Installation d'applications ?

#38Messageil y a 1 an

Sauf qu'avec Ubuntu il y a un outil graphique pour le faire.
Avec Ubuntu, ton disque est monté automatiquement lorsque tu ouvres le navigateur de fichiers; si tu veux qu'il soit monté au démarrage, il faut aussi le déclarer dans fstab donc aucune différence avec Manjaro.

Installation d'applications ?

#39Messageil y a 1 an

Bonjour,

Il y a quand même une différence, je m'explique :
J'ai réglé les disques sous Manjaro comme sous Ubuntu, dans les deux cas les disques sont montés au démarrage.
Lorsque je lance darktable sous Ubuntu le disque avec les photos s'ouvre normalement, elles sont accessibles.
Lorsque je lance la mise à jour de darktable sous Ubuntu via la compilation les disques sont accessibles pour Darktable.
Lorsque je lance darktable sous Manjaro le disque avec les photos s'ouvre normalement, elles sont accessibles.
Jusque là aucune différence, c'est la suite qui pose problème.
Lorsque je lance la mise à jour git via AUR, sous Manjaro et que j'ouvre ensuite darktable elles sont inaccessibles.
Portant les disques sont bien montés sous Manjaro et sous Ubuntu.
Sous Manjaro je suis obligé à chaque mise à jour de ré-importer les photos, ce n'est pas très pratique.
Il doit bien exister une solution. :sos:

Cordialement.

Installation d'applications ?

#40Messageil y a 1 an

Bonjour,

Je me réponds à moi-même.
Le problème "serait" du à ma partition NTFS commune entre Windows / Manjaro.
Après avoir placé quelques photos dans mon /home, suite à une mise à jour mon dossier reste accessible.
J'en reste quand même dubitatif, vu que ce problème ne ce pose pas entre Windows / Ubuntu.

Je place quand même en [Résolu]. Merci à tous. :bien

Cordialement.
Répondre